## spiderfoot 4.0

=== requirements.txt ===
adblockparser>=0.7,<1
dnspython>=2.1.0,<3
ExifRead>=2.3.2,<3
CherryPy>=18.6.1,<19
cherrypy-cors>=1.6,<2
Mako>=1.1.5,<2
beautifulsoup4>=4.10.0,<5
lxml>=4.6.3,<5
netaddr>=0.8.0,<1
pysocks>=1.7.1,<2
requests>=2.26.0,<3
ipwhois>=1.1.0,<1.2.0
ipaddr>=2.2.0,<3
phonenumbers>=8.12.34,<9
pygexf>=0.2.2,<0.3
PyPDF2>=1.26.0,<2
python-whois>=0.7.3,<0.8
secure>=0.3.0,<0.4.0
pyOpenSSL>=21.0.0,<22
python-docx>=0.8.11,<0.9
python-pptx>=0.6.21,<0.7
networkx>=2.6.3,<2.7
cryptography>=3.4.8,<4
publicsuffixlist>=0.7.9,<0.8
openpyxl>=3.0.9,<4
pyyaml>=5.4.1,<6

=== test/requirements.txt ===
-r ../requirements.txt
darglint==1.8.0
dlint==0.11.0
flake8==3.9.2
flake8-annotations==2.6.2
flake8-blind-except==0.2.0
flake8-bugbear==21.9.2
flake8-builtins==1.5.3
flake8-quotes==3.3.0
flake8-return==1.1.3
flake8-sfs==0.0.3
flake8-simplify==0.14.2
pytest==6.2.5
pytest-cov==3.0.0
pytest-flake8==1.0.7
pytest-mock==3.6.1
pytest-xdist==2.4.0
pycodestyle==2.7.0
responses==0.14.0

=== test/acceptance/requirements.txt ===
# To run the tests, start sf web interface:
#   python3 ./sf.py -l 127.0.0.1:5001
# then:
#   robot --variable BROWSER:Firefox --outputdir results example.robot
-r ../requirements.txt
robotframework
robotframework-seleniumlibrary

=== debian/changelog ===
spiderfoot (4.0-0kali4) kali-dev; urgency=medium

  * Add a patch to replace obsolete pypdf2 with pypdf

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 26 Mar 2024 11:09:11 +0100

spiderfoot (4.0-0kali3) kali-dev; urgency=medium

  * Fix lintian-overrides
  * Bump Standards-Version to 4.6.1 (no change)
  * Run the tests during the build
  * Add autopkgtest

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 22 Nov 2022 17:04:24 +0100

spiderfoot (4.0-0kali2) kali-dev; urgency=medium

  * Install missing directory correlations

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 06 Jun 2022 10:38:24 +0200

spiderfoot (4.0-0kali1) kali-dev; urgency=medium

  * New upstream version 4.0
  * Add dep python3-yaml

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 11 Apr 2022 11:48:57 +0200

spiderfoot (3.5-0kali2) kali-dev; urgency=medium

  [ Ben Wilson ]
  * Add executable to helper-script
  * New helper-script format
  * Remove template comment and switch spaces to tabs

  [ Sophie Brun ]
  * Remove obsolete and not used dependency python3-ipaddr
  * Fix lintian errors and warnings

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 07 Mar 2022 12:05:04 +0100

spiderfoot (3.5-0kali1) kali-dev; urgency=medium

  * Update debian/watch
  * New upstream version 3.5
  * Add missing depends python3-openpyxl
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 15 Nov 2021 15:55:54 +0100

spiderfoot (3.4-0kali3) kali-dev; urgency=medium

  * Update minimal required version of python3-secure (>= 0.3.0)

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 03 Nov 2021 13:49:16 +0100

spiderfoot (3.4-0kali2) kali-dev; urgency=medium

  [ Ben Wilson ]
  * Update folders to install
  * Drop leading spaces on comments
  * Missing dependencies have been created

  [ Sophie Brun ]
  * reflect upstream changes of location files in debian/*
  * Bump Standards-Version to 4.6.0 (no change)
  * Add a patch to change the location of debug.log and error.log

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 02 Nov 2021 14:17:25 +0100

spiderfoot (3.4-0kali1) kali-dev; urgency=medium

  * Upstream update

 -- Ben Wilson <g0tmi1k@kali.org>  Sat, 23 Oct 2021 11:44:56 +0100

spiderfoot (3.0-0kali1) kali-dev; urgency=medium

  * Initial release (see 346)

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 27 Jan 2020 16:11:12 +0100

=== debian/control ===
Source: spiderfoot
Section: utils
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders: Sophie Brun <sophie@offensive-security.com>
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3-all,
	       python3-pytest,
               python3-setuptools,
     python3-adblockparser,
     python3-bs4,
     python3-cherrypy3,
     python3-cherrypy-cors,
     python3-cryptography,
     python3-dnspython,
     python3-docx,
     python3-exifread,
     python3-ipwhois,
     python3-lxml,
     python3-mako,
     python3-netaddr,
     python3-networkx,
     python3-openssl,
     python3-openpyxl,
     python3-phonenumbers,
     python3-pptx,
     python3-pypdf,
     python3-publicsuffixlist,
     python3-gexf,
     python3-requests,
     python3-secure (>= 0.3.0),
     python3-socks,
     python3-whois,
     python3-yaml,
     time
Standards-Version: 4.6.1
Homepage: https://www.spiderfoot.net
Vcs-Browser: https://gitlab.com/kalilinux/packages/spiderfoot
Vcs-Git: https://gitlab.com/kalilinux/packages/spiderfoot.git

Package: spiderfoot
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends},
 python3-adblockparser,
 python3-bs4,
 python3-cherrypy3,
 python3-cherrypy-cors,
 python3-cryptography,
 python3-dnspython,
 python3-docx,
 python3-exifread,
 python3-ipwhois,
 python3-lxml,
 python3-mako,
 python3-netaddr,
 python3-networkx,
 python3-openssl,
 python3-openpyxl,
 python3-phonenumbers,
 python3-pptx,
 python3-pypdf,
 python3-publicsuffixlist,
 python3-gexf,
 python3-requests,
 python3-secure (>= 0.3.0),
 python3-socks,
 python3-whois,
 python3-yaml
Description: OSINT collection and reconnaissance tool
 This package contains an open source intelligence (OSINT) automation tool. Its
 goal is to automate the process of gathering intelligence about a given
 target, which may be an IP address, domain name, hostname, network subnet,
 ASN, e-mail address or person's name.
 .
 SpiderFoot can be used offensively, i.e. as part of a black-box penetration
 test to gather information about the target, or defensively to identify what
 information you or your organisation are freely providing for attackers to use
 against you.

=== debian/rules ===
#!/usr/bin/make -f

# output every command that modifies files on the build system.
#export DH_VERBOSE = 1
export HOME=debian/fakehome
export PYBUILD_TEST_ARGS=-k 'not test_spiderfootthreadpool and not test_spiderfootscanner and not test_sf and not test_sfcli and not test_sfwebui and not test_spiderfootwebui'


%:
	dh $@ --with python3

override_dh_install:
	dh_install -XLICENSE

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	dh_auto_test
	mkdir debian/fakehome
	python3 -m pytest -k 'not test_spiderfootthreadpool and not test_spiderfootscanner and not test_sf and not test_sfcli and not test_sfwebui and not test_spiderfootwebui'
endif

=== debian/tests/control ===
Test-Command: spiderfoot --help && spiderfoot-cli --help
Depends: @
Restrictions: superficial

Test-Command: debian/tests/test3-spiderfoot
Depends: @, python3-pytest

=== debian/watch ===
version=4
# GitHub hosted projects
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%spiderfoot-$1.tar.gz%" \
   https://github.com/smicallef/spiderfoot/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
